Subject: [bug#44174] [PATCH v2 00/15] Add hledger and its dependencies.

From: Carlo Holl <[email-masked]>
Date: Sun, 1 Nov 2020 13:09:43 -0800

On 01.11.2020 19:22, Ricardo Wurmus wrote:
>
>Christopher Baines <[email-masked]> writes:
>
>>> Carlo Holl (15):
>>>   gnu: Add ghc-control-monad-free.
>>>   gnu: Add ghc-csv.
>>>   gnu: Add ghc-decimal.
>>>   gnu: ghc-doctest: Update to 0.16.3.
>>>   gnu: Add ghc-hspec-megaparsec.
>>>   gnu: Add ghc-lucid.
>>>   gnu: Add ghc-only.
>>>   gnu: Add ghc-text-short.
>>>   gnu: Add ghc-tabular.
>>>   gnu: Add ghc-uglymemo.
>>>   gnu: Add ghc-wizards.
>>>   gnu: Add ghc-cassava.
>>>   gnu: Add ghc-cassava-megaparsec.
>>>   gnu: Add ghc-hledger-lib.
>>>   gnu: Add hledger.
>>>
>>>  gnu/packages/finance.scm     |  63 ++++
>>>  gnu/packages/haskell-xyz.scm | 557 ++++++++++++++++++++++++++++++++++-
>>>  2 files changed, 608 insertions(+), 12 deletions(-)
>>
>> Awesome! I went through and tweaked some descriptions and wrapping and
>> pushed to master as e6bfb02eb79777b760031384d4a3c14239f7fb55.
>
>Unfortunately, some of these packages are the latest versions on
>Hackage, but we need to ensure that all Haskell packages are picked at
>versions corresponding to the currently supported version of LTSHaskell
>in Guix.  We are behind the current LTSHaskell with our packages, so now
>we have the situation where we have packages that are *newer* than the
>latest LTSHaskell release and packages that are *older* than what the
>latest LTSHaskell release prescribes.
>
>We should fix this soon, because mixing Haskell packages from different
>LTS releases (or even ignoring the LTS releases in favour of the latest
>versions on Hackage) results in dependency hell for those users who want
>to use Guix for Haskell development.
>
>-- 
>Ricardo

Ricardo,

Thanks for the heads-up. I can have a go at submitting a patch series to deal with this if you like. Since this would involve a downgrade, is there anything I need to watch out for?

--
Carlo Holl
[email-masked]